[Unit]
Description=Printer Screen Touch UI
After=systemd-udev-settle.service local-fs.target
Conflicts=getty@tty1.service

[Service]
Type=simple
User=root
Group=root

WorkingDirectory=/opt/Printer_Screen_Menu
Environment=QT_QPA_PLATFORM=eglfs
Environment=QT_QPA_EGLFS_INTEGRATION=eglfs_kms

ExecStart=/opt/Printer_Screen_Menu/run.sh

Restart=always
RestartSec=1

StandardInput=tty
TTYPath=/dev/tty1

[Install]
WantedBy=multi-user.target
